Bug 24886 - Reindent reports template
Summary: Reindent reports template
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 24959
  Show dependency treegraph
 
Reported: 2020-03-17 00:51 UTC by Owen Leonard
Modified: 2020-04-03 22:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24886: Reindent reports template (135.88 KB, patch)
2020-03-23 20:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24886: (follow-up) Add markup comments (14.73 KB, patch)
2020-03-23 20:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24886: Reindent reports template (135.88 KB, patch)
2020-03-23 20:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24886: (follow-up) Add markup comments (14.73 KB, patch)
2020-03-23 20:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24886: (follow-up) Add markup comments (14.79 KB, patch)
2020-03-23 22:37 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24886: Reindent reports template (135.94 KB, patch)
2020-03-23 22:42 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24886: Reindent reports template (135.94 KB, patch)
2020-03-24 16:46 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24886: (follow-up) Add markup comments (14.79 KB, patch)
2020-03-24 16:46 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24886: Reindent reports template (136.01 KB, patch)
2020-03-25 13:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24886: (follow-up) Add markup comments (14.86 KB, patch)
2020-03-25 13:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-03-17 00:51:53 UTC
I propose to reformat the reports template (guided_reports_start.tt) so that it has consistent spacing and indentation.

Let this bug race with Bug 24885
Comment 1 Owen Leonard 2020-03-23 20:01:25 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-03-23 20:01:28 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2020-03-23 20:06:46 UTC
Created attachment 101493 [details] [review]
Bug 24886: Reindent reports template

This patch reindents the template for saved reports, replacing tabs with
spaces and making indentation consistent. Some lines have been split up.

To test, apply the patch and go to Reports -> Use saved.

 - Test adding, editing, viewing, and running reports
 - Test filtering by group and subgroup
 - Test the process of adding a guided report

 Everything should work as expected.

 Use your preferred method for checking the differences between files
 while ignoring whitespace. I use diff with the  "-w" flag, but I'm not
 your dad. The only changes you see should be split lines.
Comment 4 Owen Leonard 2020-03-23 20:06:49 UTC
Created attachment 101494 [details] [review]
Bug 24886: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.
Comment 5 Lucas Gass 2020-03-23 22:37:19 UTC
Created attachment 101497 [details] [review]
Bug 24886: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Lucas Gass 2020-03-23 22:42:21 UTC
Created attachment 101498 [details] [review]
Bug 24886: Reindent reports template

This patch reindents the template for saved reports, replacing tabs with
spaces and making indentation consistent. Some lines have been split up.

To test, apply the patch and go to Reports -> Use saved.

 - Test adding, editing, viewing, and running reports
 - Test filtering by group and subgroup
 - Test the process of adding a guided report

 Everything should work as expected.

 Use your preferred method for checking the differences between files
 while ignoring whitespace. I use diff with the  "-w" flag, but I'm not
 your dad. The only changes you see should be split lines.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 7 Bernardo Gonzalez Kriegel 2020-03-24 10:57:16 UTC
Hi Lucas,
please re-upload in correct order (git bz gives false conflict)
and set to Signed Off
Comment 8 Bernardo Gonzalez Kriegel 2020-03-24 16:46:12 UTC
Created attachment 101635 [details] [review]
Bug 24886: Reindent reports template

This patch reindents the template for saved reports, replacing tabs with
spaces and making indentation consistent. Some lines have been split up.

To test, apply the patch and go to Reports -> Use saved.

 - Test adding, editing, viewing, and running reports
 - Test filtering by group and subgroup
 - Test the process of adding a guided report

 Everything should work as expected.

 Use your preferred method for checking the differences between files
 while ignoring whitespace. I use diff with the  "-w" flag, but I'm not
 your dad. The only changes you see should be split lines.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 9 Bernardo Gonzalez Kriegel 2020-03-24 16:46:16 UTC
Created attachment 101636 [details] [review]
Bug 24886: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 10 Jonathan Druart 2020-03-25 13:39:42 UTC
Created attachment 101706 [details] [review]
Bug 24886: Reindent reports template

This patch reindents the template for saved reports, replacing tabs with
spaces and making indentation consistent. Some lines have been split up.

To test, apply the patch and go to Reports -> Use saved.

 - Test adding, editing, viewing, and running reports
 - Test filtering by group and subgroup
 - Test the process of adding a guided report

 Everything should work as expected.

 Use your preferred method for checking the differences between files
 while ignoring whitespace. I use diff with the  "-w" flag, but I'm not
 your dad. The only changes you see should be split lines.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2020-03-25 13:39:46 UTC
Created attachment 101707 [details] [review]
Bug 24886: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Martin Renvoize 2020-03-25 13:55:17 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 13 Joy Nelson 2020-04-03 22:20:07 UTC
enhancement not backported to 19.11.x